<?php

namespace App\Http\Requests\Product;

class UpdateProductRequest extends StoreProductRequest
{
    public function rules(): array
    {
        $rules = parent::rules();
        $rules['name'][0] = 'sometimes';
        $rules['type'][0] = 'sometimes';
        $rules['cost_price'][0] = 'sometimes';
        $rules['selling_price'][0] = 'sometimes';

        return $rules;
    }
}
